## ripe-atlas-tools 2.0.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/RIPEAtlasToolsMagellan.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/RIPEAtlasToolsMagellan.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/RIPEAtlasToolsMagellan"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/RIPEAtlasToolsMagellan"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## ripe-atlas-tools 1.2.2

=== debian/changelog ===
ripe-atlas-tools (1.2.2-2) unstable; urgency=medium

  * d/control: move python-ujson to Recommends.
  * d/control: use HTTPS in Vcs-Git.
  * Bump standards to 3.9.7; no changes needed.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 12 Feb 2016 14:56:56 +0200

ripe-atlas-tools (1.2.2-1) unstable; urgency=low

  * Initial release (Closes: #807927)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 21 Jan 2016 01:17:50 +0200

=== debian/control ===
Source: ripe-atlas-tools
Section: net
Priority: optional
Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6.3~),
               python-yaml,
               python-sphinx,
               python-tzlocal,
               python-openssl,
               python-requests (>= 2.7.0),
               python-ripe-atlas-cousteau (>= 1.0.7), 
               python-ripe-atlas-sagan (>= 1.1.8),
               python-setuptools,
               python-nose,
               python-mock,
               python-coverage
Standards-Version: 3.9.7
Homepage: https://github.com/RIPE-NCC/ripe-atlas-tools
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ripe-atlas-tools.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ripe-atlas-tools.git;a=summary

Package: ripe-atlas-tools
Architecture: all
Depends: python, python-yaml, python-tzlocal, python-openssl,
 python-dateutil, python-requests (>= 2.7.0),
 python-ripe-atlas-cousteau (>= 1.0.7), python-ripe-atlas-sagan (>= 1.1.8),
 python-pkg-resources, ${misc:Depends}, ${python:Depends}
Recommends: python-ujson
Description: command-line interface for RIPE Atlas
 ripe-atlas-tools is the official command-line client for RIPE Atlas.
 RIPE Atlas is a global network of probes that measure Internet
 connectivity and reachability, providing an overview of the state of the
 Internet in real time. Currently the following operations are supported
 by the command line interface:
 .
  * Creation of measurements (ping, traceroute, DNS)
  * Reports on public measurements
  * Retrieval of measurement streams
  * Public measurement searches
  * Probe listings

Package: ripe-atlas-tools-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: command-line interface for RIPE Atlas (documentation)
 ripe-atlas-tools is the official command-line client for RIPE Atlas.
 RIPE Atlas is a global network of probes that measure Internet
 connectivity and reachability, providing an overview of the state of the
 Internet in real time. Currently the following operations are supported
 by the command line interface:
 .
  * Creation of measurements (ping, traceroute, DNS)
  * Reports on public measurements
  * Retrieval of measurement streams
  * Public measurement searches
  * Probe listings
 .
 This package contains the documentation for ripe-atlas-tools

## ripe-atlas-tools 2.0.1

=== debian/changelog ===
ripe-atlas-tools (2.0.1-2) unstable; urgency=medium

  * Relax cousteau and sagan version restrictions (Closes: #837648)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 13 Sep 2016 13:53:26 +0300

ripe-atlas-tools (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update manpage to reflect 2.0.0 changes in the command names.
  * Bump standards to 3.9.8; no changes needed.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 25 May 2016 14:59:53 +0300

ripe-atlas-tools (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depend on python-ipy.
  * Bump and restrict sagan and cousteau dependencies, as there is tight
    coupling between the three packages.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 09 Mar 2016 19:01:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,28 +5,37 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all (>= 2.6.6.3~),
+               python-ipy,
                python-yaml,
                python-sphinx,
                python-tzlocal,
                python-openssl,
                python-requests (>= 2.7.0),
-               python-ripe-atlas-cousteau (>= 1.0.7), 
-               python-ripe-atlas-sagan (>= 1.1.8),
+               python-ripe-atlas-cousteau (>= 1.2), 
+               python-ripe-atlas-sagan (>= 1.1.10),
                python-setuptools,
                python-nose,
                python-mock,
                python-coverage
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/RIPE-NCC/ripe-atlas-tools
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ripe-atlas-tools.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ripe-atlas-tools.git;a=summary
 
 Package: ripe-atlas-tools
 Architecture: all
-Depends: python, python-yaml, python-tzlocal, python-openssl,
- python-dateutil, python-requests (>= 2.7.0),
- python-ripe-atlas-cousteau (>= 1.0.7), python-ripe-atlas-sagan (>= 1.1.8),
- python-pkg-resources, ${misc:Depends}, ${python:Depends}
+Depends: python,
+         python-yaml,
+         python-tzlocal,
+         python-openssl,
+         python-dateutil,
+         python-requests (>= 2.7.0),
+         python-ipy,
+         python-ripe-atlas-cousteau (>= 1.2),
+         python-ripe-atlas-sagan (>= 1.1.10),
+         python-pkg-resources,
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: python-ujson
 Description: command-line interface for RIPE Atlas
  ripe-atlas-tools is the official command-line client for RIPE Atlas.

## ripe-atlas-tools 2.0.2

=== debian/changelog ===
ripe-atlas-tools (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * Bump cousteau (build-)dependency

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 16 Dec 2016 15:19:58 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python-tzlocal,
                python-openssl,
                python-requests (>= 2.7.0),
-               python-ripe-atlas-cousteau (>= 1.2), 
+               python-ripe-atlas-cousteau (>= 1.3), 
                python-ripe-atlas-sagan (>= 1.1.10),
                python-setuptools,
                python-nose,
@@ -31,7 +31,7 @@
          python-dateutil,
          python-requests (>= 2.7.0),
          python-ipy,
-         python-ripe-atlas-cousteau (>= 1.2),
+         python-ripe-atlas-cousteau (>= 1.3),
          python-ripe-atlas-sagan (>= 1.1.10),
          python-pkg-resources,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export PYBUILD_DISABLE=test

%:
	dh $@  --with=python2,sphinxdoc --buildsystem=pybuild

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs html

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	rm -rf docs/_build
	rm -rf ripe.atlas.tools.egg-info

=== debian/watch ===
version=3

https://github.com/RIPE-NCC/ripe-atlas-tools/releases .*/v(.*).tar.gz

## ripe-atlas-tools 2.2.3

=== debian/changelog ===
ripe-atlas-tools (2.2.3-1) unstable; urgency=medium

  [ Nicolas Braud-Santoni ]
  * debian/watch: Set filenamemangle
  * New upstream version 2.2.3
  * debian/control: Whitespace cleanup
  * Switch to debhelper 11
  * Switch to Python 3

  [ Apollon Oikonomopoulos ]
  * Bump Standards-Version to 4.1.5; no changes needed
  * d/control: update RIPE library dependency versions
  * Switch Vcs-* URLs to salsa.d.o

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 18 Jul 2018 12:21:56 +0300

=== debian/control ===
Source: ripe-atlas-tools
Section: net
Priority: optional
Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-ipy,
               python3-yaml,
               python3-sphinx,
               python3-tzlocal,
               python3-openssl,
               python3-requests (>= 2.7.0),
               python3-ripe-atlas-cousteau (>= 1.4),
               python3-ripe-atlas-sagan (>= 1.2),
               python3-setuptools,
               python3-nose,
               python3-mock,
               python3-coverage
Standards-Version: 4.1.5
Homepage: https://github.com/RIPE-NCC/ripe-atlas-tools
Vcs-Git: https://salsa.debian.org/debian/ripe-atlas-tools.git
Vcs-Browser: https://salsa.debian.org/debian/ripe-atlas-tools

Package: ripe-atlas-tools
Architecture: all
Depends: python3,
         python3-yaml,
         python3-tzlocal,
         python3-openssl,
         python3-dateutil,
         python3-requests (>= 2.7.0),
         python3-ipy,
         python3-ripe-atlas-cousteau (>= 1.4),
         python3-ripe-atlas-sagan (>= 1.2),
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-ujson
Description: command-line interface for RIPE Atlas
 ripe-atlas-tools is the official command-line client for RIPE Atlas.
 RIPE Atlas is a global network of probes that measure Internet
 connectivity and reachability, providing an overview of the state of the
 Internet in real time. Currently the following operations are supported
 by the command line interface:
 .
  * Creation of measurements (ping, traceroute, DNS)
  * Reports on public measurements
  * Retrieval of measurement streams
  * Public measurement searches
  * Probe listings

Package: ripe-atlas-tools-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: command-line interface for RIPE Atlas (documentation)
 ripe-atlas-tools is the official command-line client for RIPE Atlas.
 RIPE Atlas is a global network of probes that measure Internet
 connectivity and reachability, providing an overview of the state of the
 Internet in real time. Currently the following operations are supported
 by the command line interface:
 .
  * Creation of measurements (ping, traceroute, DNS)
  * Reports on public measurements
  * Retrieval of measurement streams
  * Public measurement searches
  * Probe listings
 .
 This package contains the documentation for ripe-atlas-tools

## ripe-atlas-tools 2.3.0

=== debian/changelog ===
ripe-atlas-tools (2.3.0-2) unstable; urgency=medium

  * Fix FTBFS with sphinx 1.8 (Closes: #922262)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 14 Feb 2019 17:00:00 +0200

ripe-atlas-tools (2.3.0-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version to 4.3.0; no changes needed
  * d/copyright: bump debian/ years
  * Do not ship *.pth files
  * Fix measurement and probe info/search command output, broken due to
    accidental string conversion to bytes in Python 3.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 16 Jan 2019 16:12:51 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-nose,
                python3-mock,
                python3-coverage
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://github.com/RIPE-NCC/ripe-atlas-tools
 Vcs-Git: https://salsa.debian.org/debian/ripe-atlas-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/ripe-atlas-tools

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@  --with=python2,sphinxdoc --buildsystem=pybuild
+	dh $@  --with=python3,sphinxdoc --buildsystem=pybuild
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ripe-atlas-tools-$1\.tar\.gz/ \
https://github.com/RIPE-NCC/ripe-atlas-tools/releases .*/v(.*).tar.gz

## ripe-atlas-tools 3.1.0

=== debian/changelog ===
ripe-atlas-tools (3.1.0-0.1) unstable; urgency=medium

  * Non-maintainer Upload.
  * Switch to DebHelper 13
  * Fix watchfile for new GitHub API
  * New upstream version 3.1.0
  * Replace python3-nose by python3-pytest, enable most tests
    (Closes: #1018615)
  * Set Rules-Requires-Root: no
  * Disable InterSphinx example (Closes: #1090166)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 19 Feb 2025 21:59:39 +0100

ripe-atlas-tools (2.3.0-3) unstable; urgency=medium

  * Non-maintainer Upload.
  * Fix FTBFS with new Sphinx (Closes: #997379)
  * Remove obsolete dependency on python3-mock

  [ Debian Janitor ]
  * Apply multi-arch hints. + ripe-atlas-tools-doc: Add Multi-Arch: foreign.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 26 May 2024 00:39:18 +0200

ripe-atlas-tools (2.3.0-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 23:46:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: net
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 11),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all,
                python3-ipy,
                python3-yaml,
                python3-sphinx,
                python3-tzlocal,
                python3-openssl,
-               python3-requests (>= 2.7.0),
-               python3-ripe-atlas-cousteau (>= 1.4),
-               python3-ripe-atlas-sagan (>= 1.2),
+               python3-requests,
+               python3-ripe-atlas-cousteau,
+               python3-ripe-atlas-sagan,
                python3-setuptools,
-               python3-nose,
-               python3-mock,
+               python3-pytest,
                python3-coverage
+Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: https://github.com/RIPE-NCC/ripe-atlas-tools
 Vcs-Git: https://salsa.debian.org/debian/ripe-atlas-tools.git
@@ -29,10 +29,10 @@
          python3-tzlocal,
          python3-openssl,
          python3-dateutil,
-         python3-requests (>= 2.7.0),
+         python3-requests,
          python3-ipy,
-         python3-ripe-atlas-cousteau (>= 1.4),
-         python3-ripe-atlas-sagan (>= 1.2),
+         python3-ripe-atlas-cousteau,
+         python3-ripe-atlas-sagan,
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}
@@ -54,6 +54,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: command-line interface for RIPE Atlas (documentation)
  ripe-atlas-tools is the official command-line client for RIPE Atlas.
  RIPE Atlas is a global network of probes that measure Internet

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export PYBUILD_TEST_ARGS=tests/ -k '    not test_arg_from_file \
                             and not test_add_arguments \
                             and not test_arg_from_stdin \
                             and not test_arg_radius \
                             and not test_basic \
                             and not test_command_completion \
                             and not test_commands_completion \
                             and not test_completion_disable \
                             and not test_option_completion \
                             and not test_options_completion \
                             and not test_html_documentation \
                             and not test_text_documentation \
                            '


%:
	dh $@  --with=sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	$(MAKE) -C docs html

override_dh_auto_test:
	# tests works with "debuild",
        # but not with "gbp buildpackage --git-pbuilder"
	-dh_auto_test

execute_after_dh_clean:
	rm -rf docs/_build
	rm -rf docs/build
	rm -rf ripe.atlas.tools.egg-info

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ripe-atlas-tools-$1\.tar\.gz/ \
https://github.com/RIPE-NCC/ripe-atlas-tools/tags .*/v(.*).tar.gz

## ripe-atlas-tools 3.3.1

=== debian/changelog ===
ripe-atlas-tools (3.3.1-2) unstable; urgency=medium

  * Non-maintainer Upload.
  * Add debian/salsa-ci.yml
  * Switch to pybuild-plugin-pyproject
  * Re-enable most tests (Closes: #1078131)
  * Enable autopkgtest-pkg-pybuild

 -- Alexandre Detiste <tchet@debian.org>  Sat, 03 Jan 2026 08:59:09 +0100

ripe-atlas-tools (3.3.1-1) unstable; urgency=medium

  * Non-maintainer Upload.
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * New upstream version 3.3.1
  * Remove old patch
  * Add build-dep python3-sphinx-rtd-theme

 -- Alexandre Detiste <tchet@debian.org>  Sat, 03 Jan 2026 00:40:05 +0100

=== debian/control ===
Source: ripe-atlas-tools
Section: net
Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-coverage,
 python3-ipy,
 python3-openssl,
 python3-pytest,
 python3-requests,
 python3-ripe-atlas-cousteau,
 python3-ripe-atlas-sagan,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-tzlocal,
 python3-yaml,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.3
Homepage: https://github.com/RIPE-NCC/ripe-atlas-tools
Vcs-Git: https://salsa.debian.org/debian/ripe-atlas-tools.git
Vcs-Browser: https://salsa.debian.org/debian/ripe-atlas-tools

Package: ripe-atlas-tools
Architecture: all
Depends:
 python3,
 python3-dateutil,
 python3-ipy,
 python3-openssl,
 python3-pkg-resources,
 python3-requests,
 python3-ripe-atlas-cousteau,
 python3-ripe-atlas-sagan,
 python3-tzlocal,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ujson,
Description: command-line interface for RIPE Atlas
 ripe-atlas-tools is the official command-line client for RIPE Atlas.
 RIPE Atlas is a global network of probes that measure Internet
 connectivity and reachability, providing an overview of the state of the
 Internet in real time. Currently the following operations are supported
 by the command line interface:
 .
  * Creation of measurements (ping, traceroute, DNS)
  * Reports on public measurements
  * Retrieval of measurement streams
  * Public measurement searches
  * Probe listings

Package: ripe-atlas-tools-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: command-line interface for RIPE Atlas (documentation)
 ripe-atlas-tools is the official command-line client for RIPE Atlas.
 RIPE Atlas is a global network of probes that measure Internet
 connectivity and reachability, providing an overview of the state of the
 Internet in real time. Currently the following operations are supported
 by the command line interface:
 .
  * Creation of measurements (ping, traceroute, DNS)
  * Reports on public measurements
  * Retrieval of measurement streams
  * Public measurement searches
  * Probe listings
 .
 This package contains the documentation for ripe-atlas-tools

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export PYBUILD_TEST_ARGS=tests/ -k '    not test_arg_from_file \
                             and not test_arg_from_stdin \
                             and not test_html_documentation \
                             and not test_text_documentation \
                            '

%:
	dh $@  --with=sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	$(MAKE) -C docs html

execute_after_dh_clean:
	rm -rf docs/_build
	rm -rf docs/build
	rm -rf ripe.atlas.tools.egg-info

=== debian/watch ===
Version: 5

Template: GitHub
Owner: RIPE-NCC
Project: ripe-atlas-tools
